Refresh container
curl --request PATCH \
--url https://api.terminal49.com/v2/containers/{id}/refresh \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/containers/{id}/refresh"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/containers/{id}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Started refresh for Shipping line, Terminal, Rail"
}{
"errors": [
{
"status": "403",
"title": "API access not enabled",
"detail": "This API endpoint is not enabled for your account. Please contact support@terminal49.com"
}
]
}{
"errors": [
{
"status": "429",
"title": "Too Many Requests",
"detail": "You've hit the refresh limit. Please try again in a minute."
}
]
}Containers
Refresh container
Schedules the container to be refreshed immediately from all relevant sources.
To be alerted of updates you should subscribe to the relevant webhooks.
This endpoint is limited to 10 requests per minute.
This is a paid feature. Please contact sales@terminal49.com.
PATCH
/
containers
/
{id}
/
refresh
Refresh container
Authorizations
Token YOUR_API_TOKEN
The APIs require authentication to be done using header-based API Key and Secret Authentication.
API key and secret are sent va the Authorization request header.
You send your API key and secret in the following way:
Authorization: Token YOUR_API_KEY
Path Parameters
Response
OK
Example:
"Started refresh for Shipping line, Terminal, Rail"
Was this page helpful?